Get Schema By Id
curl --request GET \
--url https://api.streamkap.com/schema-registry/schemas/{schema_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamkap.com/schema-registry/schemas/{schema_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamkap.com/schema-registry/schemas/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"schema": "<string>",
"subject": "<string>",
"version": 123,
"schema_type": "AVRO",
"references": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Schema Registry
Get Schema By Id
Get a schema by its global ID.
GET
/
schema-registry
/
schemas
/
{schema_id}
Get Schema By Id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Complete schema information.
Was this page helpful?
⌘I